using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Enums
{
    /// <summary>
    /// 消息类型
    /// </summary>
    public enum MessageTypeEnum :int
    {
        /// <summary>
        /// 公告消息
        /// </summary>
        [Description("公告消息")]
        Announcement  =1,
        /// <summary>
        /// 团组流程管控消息
        /// </summary>
        [Description("团组流程管控消息通知")]
        GroupProcessControl = 2,
        /// <summary>
        /// 团组业务操作消息
        /// </summary>
        [Description("团组业务操作消息通知")]
        GroupBusinessOperations = 3,
        /// <summary>
        /// 团组费用审核消息
        /// </summary>
        [Description("团组费用审核消息通知")]
        GroupExpenseAudit = 4,
        /// <summary>
        /// 团组签证进度更新消息
        /// </summary>
        [Description("团组签证进度更新消息通知")]
        GroupVisaProgressUpdate = 5,
        /// <summary>
        /// 任务进度更新消息
        /// </summary>
        [Description("团组任务进度消息通知")]
        TaskProgressUpdate = 6,
    }
}
